%define name maniadrive
%define rname ManiaDrive
%define engine_name raydium
%define version 1.2
%define pre 0
%if %{pre}
%define release  %mkrel 0.%{pre}.1
%define fullversion %{version}-%{pre}
%else
%define release  %mkrel 5
%define fullversion %{version}
%endif
%define distname %{rname}-%{fullversion}-src
%define major 0
%define libname %mklibname %{name} %{major}

Summary: Arcade car game on acrobatic tracks
Name: %{name}
Version: %{version}
Release: %{release}
# svn export svn://raydium.org/raydium/trunk raydium-svn`date +%Y%m%d`
Source0: %{distname}.tar.bz2
Source1: %{name}.png
Patch0: raydium-1.01-svn20060728-build.patch
Patch1: ManiaDrive-1.1-src.dirs.patch
Patch3: ManiaDrive-1.1-src.safemode.patch
Patch4: ManiaDrive-1.1-src.home.patch
Patch5: ManiaDrive-1.2-src.fPIC.patch
License: GPL
Group: Games/Arcade
Url: http://raydium.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: curl-devel
BuildRequires: jpeg-devel
BuildRequires: libxinerama-devel
BuildRequires: php-devel
BuildRequires: ode-devel
BuildRequires: oggvorbis-devel
BuildRequires: glew-devel
BuildRequires: freealut-devel
BuildRequires: openal-devel
Requires: maniadrive-data
Conflicts: maniadrive-data < 1.01-3mdv2007.0
Requires: php-curl
Requires: php-soap
Requires: php-zlib


%description
ManiaDrive is a free clone of Trackmania, the great game from Nado
studio, and is an arcade car game on acrobatic tracks, with a quick
and nervous gameplay (tracks almost never exceed one minute), and
features a network mode, as the original.

Raydium is a game engine. It provides a set of functions which allow
quick and flexible games creation.
Functions covers things like player inputs (keyboard, mouse, joystick,
joypad, force feedback), rendering (3D objets, OSD (On Screen
Display)), time (a game must run at the exact same speed on every
computer), sound, ...

%prep
%setup -q -n %{distname}
%patch0 -p0 -b .build
%patch1 -p1 -b .dirs
%patch3 -p1 -b .safemode
%patch4 -p1 -b .home
%patch5 -p1 -b .fPIC

# php weird stuff, borrowed from thttpd-php.spec
cp /usr/src/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .
ln -s /usr/src/php-devel/ext .

%build
%make
for f in mania2 mania_drive mania_server; do
  # from odyncomp.sh
  gcc $f.c -g -Wall -DFORCE_LIBRAYDIUM -DBINDIR=\"%{_gamesbindir}\" %{optflags} -DGAMEDIR=\"%{_gamesdatadir}/%{name}\" -o $f.static libraydium.so `php-config --includes`
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}
cp -a lib%{engine_name}.so.* $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_gamesbindir}
install -m755 mania*.static $RPM_BUILD_ROOT%{_gamesbindir}/
ln -s mania_drive.static $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
install -m644 *.php $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/
cp -a rayphp $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=ManiaDrive
Comment=Arcade car game on acrobatic tracks
Exec=soundwrapper %_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%{_gamesbindir}/mania*.static
%{_libdir}/lib%{engine_name}.*
%dir %{_gamesdatadir}/%{name}/rayphp
%{_gamesdatadir}/%{name}/mania_*.php
%{_gamesdatadir}/%{name}/rayphp/*
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sun May 27 2007 Olivier Blin <oblin@mandriva.com> 1.2-5mdv2008.0
+ Revision: 31814
- do not install .so file not to require devel(libode) (got broken in last release)

* Wed May 02 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-4mdv2008.0
+ Revision: 20559
- fix install of library symlinks to avoid annoying warnings whenever running ldconfig (#25065)
- use %%{optflags}


* Fri Feb 09 2007 Olivier Blin <oblin@mandriva.com> 1.2-3mdv2007.0
+ Revision: 118443
- buildrequire oggvorbis-devel
- build with freealut

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2007.1
+ Revision: 89928
- buildrequire curl-devel
- buildrequires libxinerama-devel
- buildrequire jpeg-devel
- require php-zlib
- add menu entry and maniadrive symlink

* Sun Sep 10 2006 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2007.0
+ Revision: 60717
- build with -fPIC (required for x86_64)

* Tue Sep 05 2006 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.0
+ Revision: 59885
- 1.2 (and drop merged shader patch)

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com> 1.1-6mdv2007.0
+ Revision: 59673
- increase release
- require php-soap
- get story files from home directory
- disable php safe_mode in the game

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com> 1.1-5mdv2007.0
+ Revision: 59663
- package mania_*.php files

* Sun Sep 03 2006 Olivier Blin <oblin@mandriva.com> 1.1-4mdv2007.0
+ Revision: 59634
- package rayphp files
- require php-curl

* Fri Sep 01 2006 Olivier Blin <oblin@mandriva.com> 1.1-3mdv2007.0
+ Revision: 59093
- increase release
- require maniadrive-data
- fix default group

* Fri Sep 01 2006 Olivier Blin <oblin@mandriva.com> 1.1-2mdv2007.0
+ Revision: 59034
- fix crash when shader are not supported (from SVN)
- bump release
- fix crash when shader are not supported (from SVN)
- fix binaries and game directory paths
- rename as maniadrive and update to 1.1
- rename as maniadrive
- initial Mandriva release
- Created package structure for raydium.

